# Uses of Interface
org.pentaho.reporting.libraries.repository.ContentItem

Packages that use ContentItem
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of ContentItem in org.pentaho.reporting.libraries.repository

Methods in org.pentaho.reporting.libraries.repository that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
ContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`static ContentItem`
RepositoryUtilities.`createItem(Repository repository, String[] name)`
Tries to create a content item with the given path-name in the repository.
Methods in org.pentaho.reporting.libraries.repository with parameters of type ContentItem
Modifier and Type
Method
Description
`String`
DefaultMimeRegistry.`getMimeType(ContentItem item)`
Queries the mime-type for a given content-item.
`String`
MimeRegistry.`getMimeType(ContentItem item)`
Queries the mime-type for a given content-item.
`static int`
RepositoryUtilities.`getZipLevel(ContentItem item)`
Computes the declared Zip-Compression level for the given content-item.
`static int`
RepositoryUtilities.`getZipMethod(ContentItem item)`
Computes the declared Zip-Compression mode for the given content-item.

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.dummy

Classes in org.pentaho.reporting.libraries.repository.dummy that implement ContentItem
Modifier and Type
Class
Description
`class`
`DummyContentItem`
A dummy content item, that does not provide any input and that does swallow all content fed into it.
Methods in org.pentaho.reporting.libraries.repository.dummy that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
DummyContentLocation.`createItem(String name)`
Creates a new data item in the current location.

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.email

Classes in org.pentaho.reporting.libraries.repository.email that implement ContentItem
Modifier and Type
Class
Description
`class`
`EmailContentItem`
Creation-Date: 17.09.2008, 15:00:00
Methods in org.pentaho.reporting.libraries.repository.email that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
EmailContentLocation.`createItem(String name)`
Creates a new data item in the current location.

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.file

Classes in org.pentaho.reporting.libraries.repository.file that implement ContentItem
Modifier and Type
Class
Description
`class`
`FileContentItem`
A content item wrapping a file.
Methods in org.pentaho.reporting.libraries.repository.file that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
FileContentLocation.`createItem(String name)`
Creates a new data item in the current location.

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.stream

Classes in org.pentaho.reporting.libraries.repository.stream that implement ContentItem
Modifier and Type
Class
Description
`class`
`StreamContentItem`
A stream-content item that wraps around the input and output streams given in the repository.
Methods in org.pentaho.reporting.libraries.repository.stream that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
StreamContentLocation.`createItem(String name)`
Creates a new data item in the current location.

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.zip

Classes in org.pentaho.reporting.libraries.repository.zip that implement ContentItem
Modifier and Type
Class
Description
`class`
`ZipContentItem`
Todo: Document Me
Methods in org.pentaho.reporting.libraries.repository.zip that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
ZipContentLocation.`createItem(String name)`

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.zipreader

Classes in org.pentaho.reporting.libraries.repository.zipreader that implement ContentItem
Modifier and Type
Class
Description
`class`
`ZipReadContentItem`
Creation-Date: 17.12.2007, 12:19:20
Methods in org.pentaho.reporting.libraries.repository.zipreader that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
ZipReadContentLocation.`createItem(String name)`

## Uses of ContentItem in org.pentaho.reporting.libraries.repository.zipwriter

Classes in org.pentaho.reporting.libraries.repository.zipwriter that implement ContentItem
Modifier and Type
Class
Description
`class`
`ZipContentItem`
Creation-Date: 01.12.2006, 21:23:25
Methods in org.pentaho.reporting.libraries.repository.zipwriter that return ContentItem
Modifier and Type
Method
Description
`ContentItem`
ZipContentLocation.`createItem(String name)`
Creates a new data item in the current location.